//
// Hi-Tech Lite include file for DB038 board with 16F887:
// Dallas 1-wire functions
//
// $Id: db038-dallas.h,v 1.3 2012/04/24 17:25:17 Wouter Exp $
//
// (c) Wouter van Ooijen - wouter@voti.nl
//
// Copying and distribution of this file, with or without modification,
// are permitted in any medium without royalty provided the copyright
// notice and this notice are preserved.  This file is offered as-is,
// without any warranty.
// 

#ifndef _DB038_DALLAS_H_
#define _DB038_DALLAS_H_

#include "db038.h"

#define D1W_INIT do { \
   PIN_CLEAR( PORTA, 4 ); \
} while(0)
   
#define D1W_LOW do { \
   PIN_DIRECTION( PORTA, 4, OUTPUT ); \
} while(0)
   
#define D1W_HIGH do { \
   PIN_DIRECTION( PORTA, 4, INPUT ); \
} while(0)   
   		 
#define D1W_LINE (( PORTA & 0x10 ) != 0 )

unsigned char d1w_present( void );
void d1w_byte_send( unsigned char x );
unsigned char d1w_byte_receive( void );
unsigned char d1w_family_code_read( void );
void ds18s20_conversion_start( void );
unsigned int ds18s20_temperature_read( void );

#endif
