//
// Hi-Tech Lite include file for DB038 board with 16F887:
// HD44780 LCD functions
//
// $Id: db038-lcd.h,v 1.3 2012/04/24 17:25:25 Wouter Exp $
//
// (c) Wouter van Ooijen - wouter@voti.nl
//
// Copying and distribution of this file, with or without modification,
// are permitted in any medium without royalty provided the copyright
// notice and this notice are preserved.  This file is offered as-is,
// without any warranty.
//  

#ifndef _DB038_LCD_H_
#define _DB038_LCD_H_

#include "db038.h"

void lcd_init( unsigned char x, unsigned char y );
#define LCD_INIT_1_16 lcd_init( 1, 16 )
#define LCD_INIT_2_16 lcd_init( 2, 16 )
void lcd_command( unsigned char x );
void lcd_clear( void );
void lcd_line( unsigned char n );
void lcd_data( unsigned char x );
void lcd_char_print( char c );
void lcd_string_print( const char *p );
#ifdef DB038_PIC14
   #define lcd_const_string_print lcd_string_print
#else
   void lcd_const_string_print( const rom char *p );
#endif
void lcd_custom( 
   unsigned char n,
   unsigned char d1,
   unsigned char d2,
   unsigned char d3,
   unsigned char d4,
   unsigned char d5,
   unsigned char d6,
   unsigned char d7, 
   unsigned char d8 );

#endif
