//
// Hi-Tech Lite source file for DB038 board with 16F887:
// char and string functions
//
// $Id: db038-string.c,v 1.2 2012/04/24 17:25:29 Wouter Exp $
//
// (c) Wouter van Ooijen - wouter@voti.nl
//
// Copying and distribution of this file, with or without modification,
// are permitted in any medium without royalty provided the copyright
// notice and this notice are preserved.  This file is offered as-is,
// without any warranty.
// 

#include "db038.h"

char char_from_nibble( unsigned char x ){
   x &= 0x0F;
   if( x < 10 ){
      return x + '0';
   } else {
      return x + ( 'A' - 10 );	
   }
}

unsigned char str_len( const char *p ){
   unsigned char n = 0;
   while( *p != '\0' ){
      p++;
      n++;
   }
   return n;	
}

unsigned char str_equal( const char *p, const char *q ){
   for(;;){
      if( *p != *q ){
         return 0;		
      } 
      if( *p == '\0' ){
      	return 1;
      }
      p++;
      q++;
   }
}

unsigned char str_prefix( const char *p, const char *q ){
   for(;;){
      if( *p == '\0' ){
      	return 1;
      }
      if( *p != *q ){
         return 0;		
      } 
      p++;
      q++;
   }
}

void str_copy( char *p, unsigned char s, char *q, unsigned char n ){
   for(;;){
      *p = '\0';
      if( s == 0 ) return;
      if( n == 0 ) return;
      if( *q == '\0' ) return;
      *p = *q;
      p++;
      q++;
      s--;
      n--;
   }	
}

unsigned char char_in( char c, const char * s ){
   for(;;){
      if( *s == '\0' ) return 0;
      if( *s == c ) return 1;
      s++;
   } 			
}

unsigned char string_in( const char * p, const char * q ){
   for(;;){
   	  if( str_prefix( p, q )) return 1;
      if( *q == '\0' ) return 0;
      q++;
   } 			
}
