//
// Hi-Tech Lite include file for DB038 board with 16F887:
// UART functions
//
// $Id: db038-uart.h,v 1.4 2010/06/19 07:16:02 Wouter Exp $
//
// (c) Wouter van Ooijen - wouter@voti.nl
//
// Copying and distribution of this file, with or without modification,
// are permitted in any medium without royalty provided the copyright
// notice and this notice are preserved.  This file is offered as-is,
// without any warranty.
// 

#ifndef _DB038_UART_H_
#define _DB038_UART_H_

#include "db038.h"

#if defined(_16F887)
   // OK
#else
   #error unsupported chip
#endif

void uart_init_1200( void );
void uart_init_2400( void );
void uart_init_4800( void );
void uart_init_9600( void );
void uart_init_19200( void );
void uart_init_57600( void );
void uart_init_115200( void );
void uart_init_250000( void );

bit uart_char_available( void );
char uart_char_receive( void );
bit uart_send_idle( void );
void uart_char_send( char c );
void uart_string_send( const char *p );
void uart_string_receive( 
   char *received,
   unsigned char received_size, 
   unsigned int milliseconds, 
   const char * terminate,   
   const char * ignore 
);
void dmx_send( 
   unsigned char base,
   unsigned char data[],
   unsigned char n
);

#endif