//
// Hi-Tech Lite test application for DB038 board with 16F887:
// reading the on-board keypad
//
// $Id: main-keypad.c,v 1.3 2009/11/13 08:51:07 Wouter Exp $
//
// (c) Wouter van Ooijen - wouter@voti.nl
//
// Copying and distribution of this file, with or without modification,
// are permitted in any medium without royalty provided the copyright
// notice and this notice are preserved.  This file is offered as-is,
// without any warranty.
// 

#include "db038-leds.h"
#include "db038-keypad.h"

void main(void){
   unsigned char i, key1, key2;
   for(;;){
      key1 = keypad_read();
      if( key1 != KEYPAD_NONE ){
         display_show( 0, seven_from_nibble( key1 ), 10 );
      }

      key2 = KEYPAD_NONE;
      for( i = 0; i < 16; i++ ){
         if( key_is_pressed( i )){
            key2 = i;
         }
      } 
      if( key2 != KEYPAD_NONE ){
         display_show( 1, seven_from_nibble( key2 ), 10 );
      }
   }
}