//
// Hi-Tech Lite application file for DB038 board with 16F887:
// HD44780 LCD user-defined characters demo
//
// $Id: main-lcd-custom.c,v 1.3 2012/04/24 17:25:36 Wouter Exp $
//
// (c) Wouter van Ooijen - wouter@voti.nl
//
// Copying and distribution of this file, with or without modification,
// are permitted in any medium without royalty provided the copyright
// notice and this notice are preserved.  This file is offered as-is,
// without any warranty.
// 

#include "db038.h"
#include "db038-lcd.h"

void lcd_print( unsigned char n, rom const char *s ){ 
	lcd_line( n );
	lcd_const_string_print( s ); 
}

//
// The following functions are available to use the LCD:
//   LCD_INIT_1_16        mandatory at the start of your program
//   wait_ms( n )         delay n microseconds 
//   lcd_clear()          clear the lcd
//   lcd_custom( n, .. )  define custom character n (note: n < 8)
//   lcd_print( n, s )    prints tring s at line n ( n < 2 )
//
                     
void main( void ){
   LCD_INIT_2_16;
   for(;;){
      lcd_clear();
      lcd_print( 0, "LCD custom demo " );  
      lcd_custom( 1, 142,142,132,132,159,132,132,138 );
      lcd_custom( 2, 142,142,133,134,140,148,138,145 );
      lcd_custom( 3, 142,142,132,142,149,132,132,138 );
      lcd_custom( 4, 142,142,148,140,134,133,138,145 );
      lcd_custom( 5, 128,128,158,135,129,135,158,128 );
      lcd_custom( 6, 128,128,142,151,159,159,142,128 );
      lcd_print( 1, "\1                " ); wait_ms( 400 );
      lcd_print( 1, " \2               " ); wait_ms( 400 );
      lcd_print( 1, "  \1              " ); wait_ms( 400 );
      lcd_print( 1, "   \2             " ); wait_ms( 400 );
      lcd_print( 1, "    \1            " ); wait_ms( 400 );
      lcd_print( 1, "     \2           " ); wait_ms( 400 );
      lcd_print( 1, "      \1          " ); wait_ms( 400 );
      lcd_print( 1, "       \2         " ); wait_ms( 400 );
      lcd_print( 1, "        \1        " ); wait_ms( 400 );
      lcd_print( 1, "         \2       " ); wait_ms( 400 );
      lcd_print( 1, "          \1      " ); wait_ms( 400 );
      lcd_print( 1, "           \2     " ); wait_ms( 400 );
      lcd_print( 1, "            \1   \5" ); wait_ms( 400 );
      lcd_print( 1, "            \3  \6 " ); wait_ms( 200 );
      lcd_print( 1, "           \4  \5  " ); wait_ms( 200 );
      lcd_print( 1, "          \3  \6   " ); wait_ms( 200 );
      lcd_print( 1, "         \4  \5    " ); wait_ms( 200 );
      lcd_print( 1, "        \3  \6     " ); wait_ms( 200 );
      lcd_print( 1, "       \4  \5      " ); wait_ms( 200 );
      lcd_print( 1, "      \3  \6       " ); wait_ms( 200 );
      lcd_print( 1, "     \4  \5        " ); wait_ms( 200 );
      lcd_print( 1, "    \3  \6         " ); wait_ms( 200 );
      lcd_print( 1, "   \4  \5          " ); wait_ms( 200 );
      lcd_print( 1, "  \3  \6           " ); wait_ms( 200 );
      lcd_print( 1, " \4  \5            " ); wait_ms( 200 );
      lcd_print( 1, "\4  \6             " ); wait_ms( 200 );
      lcd_print( 1, "  \5             " ); wait_ms( 200 );
      lcd_print( 1, " \6              " ); wait_ms( 200 );
      lcd_print( 1, "\5               " ); wait_ms( 200 );
      lcd_print( 1, "                  " ); wait_ms( 200 );
      wait_ms( 2 * 1000 );
   }
}
