//
// Hi-Tech Lite test application for DB038 board with 16F887:
// vUART interface
//
// $Id: main-uart.c,v 1.3 2009/11/13 08:51:13 Wouter Exp $
//
// (c) Wouter van Ooijen - wouter@voti.nl
//
// Copying and distribution of this file, with or without modification,
// are permitted in any medium without royalty provided the copyright
// notice and this notice are preserved.  This file is offered as-is,
// without any warranty.
// 

#include "db038-leds.h"
#include "db038-uart.h"
#include "db038-keypad.h"

void send( char c ){
   uart_char_send( '"' );
   uart_char_send( c );
   uart_char_send( '"' );
   uart_char_send( '\n' );
}

void main(void){
   char c = 0;
   unsigned char k, last;
   last = KEYPAD_NONE;
   uart_init_19200();
   uart_string_send( "hello world!\n");

   for(;;){
      if( uart_char_available()){
         c = uart_char_receive();
         send( c );
      }
      k = keypad_read();
      if( k != last ){
         last = k;
         if( k != KEYPAD_NONE ){
            c = ascii_from_key( k );
            send( c );
         }
      }
      display_hexadecimal_show( c, 0, 0, 10 );
   }
}